Ubuntu update causes suexec "command not in docroot" for virtual servers

7 posts / 0 new
Last post
#1 Thu, 03/01/2012 - 14:11
elementweb

Ubuntu update causes suexec "command not in docroot" for virtual servers

I was sort of caught in a catch-22 in that Ubuntu 10.04 LTS did not have a package for proftpd-sql-passwd, and so upgraded my OS to 11.10. Perhaps there was another way to stay on on 10.04LTS, but the damage is done.

Now, after upgrading the distribution, my virtual servers have the following suexec error: "command not in docroot". If I simply run the websites without suexec, it's fine, but I'd rather keep my domains running under their virtual users.

Has there been a configuration change since 10.04 that is not handled by Virtualmin? Looking at issues management for Virtualmin, I see that only the LTS Ubuntu versions are supported, so I should probably only expect a fix for 12.04?

Or is there something I can do meanwhile to fix this? I will tweak my permissions to compensate, as there are repercussions like file permissions to save session files, etc.

Also I guess I should refrain from updating to non-LTS versions?

Thu, 03/01/2012 - 15:05
andreychek

Howdy,

Well, as you saw, only the Ubuntu LTS releases are supported by Virtualmin. You can see the supported OS list here:

http://www.virtualmin.com/os-support.html

That said, you should be able to correct the suexec issue you're seeing... what is the output of this command:

dpkg -l 'apache2-suexec*'

Thu, 03/01/2012 - 15:25
elementweb

Hi!

That's what I thought about LTS... Oh well, there's one coming in about a month.

I'm not sure if the format for the output will be readable:

Desired=Unknown/Install/Remove/Purge/Hold | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad) ||/ Name Version Description +++-======================================-======================================-============================================================================================ un apache2-suexec (no description available) ii apache2-suexec-custom 2.2.20-1ubuntu1.2 Configurable suexec program for Apache 2 mod_suexec

Basically it was a fresh install of Ubuntu 10.04 LTS, to which I installed Virtualmin with the script, then upgraded the distribution. All the dependencies should be there.

Thu, 03/01/2012 - 17:28
andreychek

That's what I thought about LTS... Oh well, there's one coming in about a month.

Ubuntu 12.04 comes out on April 26th, and Virtualmin support for it will come a few weeks after that. So I'd expect to see support for it in roughly 3 months, plus or minus a couple of weeks.

Now, as far as your suexec issue goes -- it looks like you have the correct apache2-suexec-custom package installed. It may just need to be tweaked.

What is the output of this command:

cat /etc/apache2/suexec/www-data

Fri, 03/02/2012 - 20:48
elementweb

Hi!

It looks like a change in the SUexec model that forces FCGI scripts to run in the docroot, however I think it uses the global docroot, which seems in conflict with the virtual root model. I know little about this so I may be talking trash...

Omitting the comments from the output:

sshadmin@ubuntu:/home/macrografiks/public_html$ cat /etc/apache2/suexec/www-data /var/www public_html/cgi-bin

Fri, 03/02/2012 - 22:23
andreychek

Okay, try changing that first line in there to be "/home" rather than "/var/www".

Then, restart Apache with "/etc/init.d/apache2 restart", and see if that does the trick for you.

-Eric

Sat, 03/03/2012 - 12:56
elementweb

Nice! That did it!

Well, I learned a bit more about SUExec with that.

Thanks! Really appreciated.